Update inference definition
curl --request PUT \
--url https://api.datalinks.com/api/v1/data/{username}/{namespace}/{datasetName}/inferDefinition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataDescription": "Employee dataset containing demographics and compensation.",
"schemaDefinition": {
"id": "unique employee identifier",
"name": "full employee name",
"age": "employee age in years",
"department": "work department",
"salary": "annual salary in USD"
}
}
'import requests
url = "https://api.datalinks.com/api/v1/data/{username}/{namespace}/{datasetName}/inferDefinition"
payload = {
"dataDescription": "Employee dataset containing demographics and compensation.",
"schemaDefinition": {
"id": "unique employee identifier",
"name": "full employee name",
"age": "employee age in years",
"department": "work department",
"salary": "annual salary in USD"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataDescription: 'Employee dataset containing demographics and compensation.',
schemaDefinition: {
id: 'unique employee identifier',
name: 'full employee name',
age: 'employee age in years',
department: 'work department',
salary: 'annual salary in USD'
}
})
};
fetch('https://api.datalinks.com/api/v1/data/{username}/{namespace}/{datasetName}/inferDefinition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
dataset
Update inference definition
Update the saved inference definition for the dataset.
PUT
/
data
/
{username}
/
{namespace}
/
{datasetName}
/
inferDefinition
Update inference definition
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Path Parameters
Namespace for the dataset.
Name of the dataset.
The username associated with the request.
Body
application/json
A description of the dataset to help the AI system understand the context.
Maximum string length:
10000Example:
"Employee dataset containing demographics and compensation."
A schema definition mapping field names to descriptions, to guide the AI system in structuring the extracted data.
Show child attributes
Show child attributes
Example:
{
"id": "unique employee identifier",
"name": "full employee name",
"age": "employee age in years",
"department": "work department",
"salary": "annual salary in USD"
}
Response
Creates a new inference definition.
⌘I